Loading...
Searching...
No Matches
novas_cat_entry Struct Reference
Astronomical object of interest

Basic astrometric data for any sidereal object located outside the solar system. More...

`#include <novas.h>`

## Public Attributes

char | catalog [SIZE_OF_CAT_NAME]
| catalog designator (e.g., HIP)
double | dec
| [deg] ICRS declination
double | parallax
| [mas] parallax
double | promodec
| [mas/yr] ICRS proper motion in declination
double | promora
| [mas/yr] ICRS proper motion in right ascension
double | ra
| [h] ICRS right ascension
double | radialvelocity
| [km/s] catalog radial velocity (w.r.t.
char | starname [SIZE_OF_OBJ_NAME]
| name of celestial object
long | starnumber
| integer identifier assigned to object

## Detailed Description

Basic astrometric data for any sidereal object located outside the solar system.

Note, that despite the slightly expanded catalog name, this has the same memory footprint as the original NOVAS C version, allowing for cross-compatible binary exchange (I/O) of these structures.

See also
  novas_init_cat_entry(), make_cat_entry(), make_cat_object()
  CAT_ENTRY_INIT

## Member Data Documentation

## catalog

char novas_cat_entry::catalog[SIZE_OF_CAT_NAME]

catalog designator (e.g., HIP)

Referenced by novas_equals_cat_entry(), and transform_hip().

## dec

double novas_cat_entry::dec

[deg] ICRS declination

Referenced by mean_star(), novas_equals_cat_entry(), novas_set_lsr_vel(), and rad_vel2().

## parallax

double novas_cat_entry::parallax

[mas] parallax

Referenced by novas_equals_cat_entry(), novas_set_parallax(), and rad_vel2().

## promodec

double novas_cat_entry::promodec

[mas/yr] ICRS proper motion in declination

Referenced by novas_equals_cat_entry(), and novas_set_proper_motion().

## promora

double novas_cat_entry::promora

[mas/yr] ICRS proper motion in right ascension

Referenced by novas_equals_cat_entry(), and novas_set_proper_motion().

## ra

double novas_cat_entry::ra

[h] ICRS right ascension

Referenced by mean_star(), novas_equals_cat_entry(), novas_set_lsr_vel(), rad_vel2(), and transform_hip().

## radialvelocity

double novas_cat_entry::radialvelocity

[km/s] catalog radial velocity (w.r.t.

SSB) To specify radial velocities defined in the Local Standard of Rest (LSR) you might use novas_set_lsr_vel()

Referenced by novas_equals_cat_entry(), novas_set_ssb_vel(), and rad_vel2().

## starname

char novas_cat_entry::starname[SIZE_OF_OBJ_NAME]

name of celestial object

Referenced by make_cat_object(), and novas_equals_cat_entry().

## starnumber

long novas_cat_entry::starnumber

integer identifier assigned to object

Referenced by make_cat_object(), and novas_equals_cat_entry().